%define _missing_doc_files_terminate_build 0
%define _unpackaged_files_terminate_build 0

Name: pcmcia-cs
%define pcmciaver 3.2.5
Version: %{pcmciaver}
Release: b8
Summary: The daemon and device drivers for using PCMCIA adapters.
Group: System Environment/Kernel
Obsoletes: pcmcia-cs
Copyright: GPL
#ExclusiveArch: i386
#Epoch: 1
BuildRoot: %{_tmppath}/%{name}-root
###BuildRequires: kernel-source, glibc-kernheaders >= 2.4-2
BuildRequires: kernel-source
BuildArchitectures: i586

Source0: ftp://projects.sourceforge.net/pub/pcmcia-cs/pcmcia-cs-%{pcmciaver}.tar.bz2
Source1: pcmcia-cs-2.8.8-network.script
Source2: pcmcia-cs-3.1.24-isdn.script
Source4: pcmcia-cs.config.mk
Source5: pcmcia-cs.config.h

#Patch0: pcmcia-cs-3.1.18-script.patch
Patch1: pcmcia-cs-3.1.18-config.patch
#Patch3: pcmcia-cs-3.1.24-rctrans.patch
Patch4: pcmcia-cs-3.1.23-yenta.patch
Patch5: pcmcia-cs-3.1.23-updfstab.patch
Patch6: pcmcia-cs-3.1.24-portrange.patch
Patch7: pcmcia-cs-3.1.24-wireless.patch
Patch8: pcmcia-cs-3.1.27-makefile.patch
#Patch9: pcmcia-cs-3.1.27-loaderlib.patch
Patch10: pcmcia-cs-3.1.27-initorder.patch


Requires: kernel >= 2.4.3, chkconfig, kudzu >= 0.95, hotplug >= 2001_04_24-9
Requires: hwdata >= 0.60
BuildPreReq: kernel-source


%description
Many laptop machines (and some non-laptops) support PCMCIA cards for
expansion. Also known as "credit card adapters," PCMCIA cards are
small cards for everything from SCSI support to modems. PCMCIA cards
are hot swappable (i.e., they can be exchanged without rebooting the
system) and quite convenient to use. The kernel-pcmcia-cs package
contains a set of loadable kernel modules that implement an
applications program interface, a set of client drivers for specific
cards and a card manager daemon that can respond to card insertion and
removal events by loading and unloading drivers on demand.  The daemon
also supports hot swapping, so that the cards can be safely inserted
and ejected at any time.


##
## Setup Section
##

%prep
%setup -n pcmcia-cs-%{version} -q
#%patch0 -p1 -b .script
%patch1 -p2 -b .config
#%patch3 -p1 -b .rctrans
%patch4 -p1 -b .yenta
%patch5 -p1 -b .fstab
%patch6 -p1 -b .portrange
%patch7 -p1 -b .wireless
%patch8 -p1
#%patch9 -p1
%patch10 -p1
cp %{SOURCE4} config.mk
cp %{SOURCE5} include/pcmcia/config.h


##
## Build Section
##

%build

#./Configure -n --kernel=/usr/src/linux-2.4 \
#	--target=$RPM_BUILD_ROOT --trust --cardbus --nopnp --srctree \
#	--moddir=/lib/modules/1.1.1 --sysv --rcdir=/etc/rc.d

##%define	kernel_rel	%(eval uname -r)
##./Configure -n --kernel=/usr/src/linux-%{kernel_rel} \
##	--target=$RPM_BUILD_ROOT --trust --cardbus --nopnp --srctree \
##	--moddir=/lib/modules/%{kernel_rel} --sysv --rcdir=/etc/rc.d

perl -pi -e 's/\/usr\/man/'`echo %{_mandir} | sed 's_/_\\\\/_g'`/ man/Makefile
#make config
make all
%ifarch i386
cd debug-tools
make lspnp
%endif


##
## Install Section
##

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}
make MANDIR=$RPM_BUILD_ROOT%{_mandir} PREFIX=$RPM_BUILD_ROOT install
install -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/pcmcia/network
install -m755 %{SOURCE2} $RPM_BUILD_ROOT/etc/pcmcia/isdn

# We need our own default /etc/sysconfig/pcmcia
cat > $RPM_BUILD_ROOT/etc/sysconfig/pcmcia <<EOF
PCMCIA=no
PCIC=
PCIC_OPTS=do_scan=0
CORE_OPTS=
CARDMGR_OPTS=-f
EOF

install -m755 debug-tools/lspnp $RPM_BUILD_ROOT/sbin/lspnp


%clean
rm -rf $RPM_BUILD_ROOT


##
## Post & Postun Section
##

%post
/sbin/chkconfig --add pcmcia

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del pcmcia
fi
exit 0

%triggerpostun -- pcmcia-cs < 2.2.5
if [ -f /etc/rc.d/init.d/pcmcia ] ; then
    /sbin/chkconfig --add pcmcia
fi


##
## Files Section
##

%files
%defattr(-,root,root)
%doc doc/PCMCIA-HOWTO 
%doc doc/PCMCIA-PROG
%doc SUPPORTED.CARDS 
%doc CHANGES 
%doc COPYING 
%doc README
#/sbin/probe
/sbin/pcic_probe
/sbin/cardmgr
%attr(755,root,root) /sbin/cardctl
/sbin/ifport
/sbin/ifuser
/sbin/lspnp
/sbin/scsi_info
/sbin/ide_info
/sbin/pcinitrd
/sbin/ftl_format
/sbin/ftl_check
/sbin/dump_cis
/sbin/pack_cis
%{_mandir}/man[45]/*
%{_mandir}/man8/*
/etc/pcmcia/cis
%dir /etc/pcmcia
%config /etc/pcmcia/config
%config(noreplace) /etc/pcmcia/config.opts
/etc/pcmcia/ftl
%config(noreplace) /etc/pcmcia/ftl.opts
/etc/pcmcia/ide
%config(noreplace) /etc/pcmcia/ide.opts
/etc/pcmcia/memory
%config(noreplace) /etc/pcmcia/memory.opts
/etc/pcmcia/network
/etc/pcmcia/isdn
/etc/pcmcia/parport
%config(noreplace) /etc/pcmcia/parport.opts
/etc/pcmcia/scsi
%config(noreplace) /etc/pcmcia/scsi.opts
/etc/pcmcia/serial
%config(noreplace) /etc/pcmcia/serial.opts
/etc/pcmcia/wireless
%config(noreplace) /etc/pcmcia/wireless.opts
/etc/pcmcia/shared
/etc/rc.d/init.d/pcmcia
%dir /var/lib/pcmcia
%config(noreplace) /etc/sysconfig/pcmcia
#%{_libdir}/*_loader.a


##
## change log
##

%changelog
* Thu Sep 25 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to pcmcia-cs-3.2.5
* Fri Aug 22 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to pcmcia-cs.16-Aug-03.tar.gz
* Fri Jun 27 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to pcmcia-cs.16-May-03.tar.gz
* Mon May 12 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Change config.mk and config.h
* Fri Feb 28 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from Redhat Linux 8.0
- kernel-pcmcia-cs-3.1.31-9.src.rpm
